io.undertow.attribute

## Class ReadOnlyAttributeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - io.undertow.attribute.ReadOnlyAttributeException

All Implemented Interfaces:
  Serializable

    public class ReadOnlyAttributeException
    extends Exception

An exception that is thrown when an attribute is read only

Author:
  Stuart Douglas
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReadOnlyAttributeException()`
`ReadOnlyAttributeException(String attributeName, String newValue)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReadOnlyAttributeException

    public ReadOnlyAttributeException()

#### ReadOnlyAttributeException

    public ReadOnlyAttributeException(String attributeName,
                                      String newValue)